<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioAvaliacaoAtendimentoPorUsuario" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="d6036c44-ade8-4e1f-a058-03bd88a05f22">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="dataInicialsql" class="java.lang.String"/>
	<parameter name="tituloRelatorio" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataFinalsql" class="java.lang.String"/>
	<parameter name="HABILITAR_DATA" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["S"]]></defaultValueExpression>
	</parameter>
	<parameter name="empresaDescricao" class="java.lang.String"/>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="dataInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["c:\\Desenv\\Workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="quantidadeTotalAvaliacoes" class="java.lang.Double"/>
	<parameter name="quantidadeTotalVendas" class="java.lang.Double"/>
	<queryString>
		<![CDATA[select concat(u.idusuario,' - ',u.nome) as 'Caixa/Crediarista' ,
p.numeroControle,concat(ven.codigoVendedorCache,' - ',ven.nome) as Vendedor,sum(if(av.nota is null,0,av.nota)) as nota,
e.idEmpresaFisica,ven.codigoVendedorCache,u.idUsuario,
concat(if(length(e.idEmpresaFisica)=1,'F0','F'),e.idempresafisica,' - ',e.razaoSocial) as empresaDescricao,
count(u.idusuario) as quantidadeVendas,sum(if(av.nota is null,0,1)) as quantidadeAvaliacoes

from avaliacaoatendimento av
inner join pedidovenda p on p.idpedidovenda = av.idpedidovenda
inner join vendedor ven on ven.idvendedor = p.idvendedor
inner join usuario u on u.idUsuario = av.idusuario
inner join empresafisica e on e.idempresafisica = p.idempresafisica
left outer join duplicata d on d.idpedidovenda = p.idpedidovenda
where p.datavenda >= '2016-01-27 00:00:00'
and   p.datavenda <= '2016-01-29 23:59:59'
and   e.idempresaFisica in (9)
group by u.idusuario]]>
	</queryString>
	<field name="Caixa/Crediarista" class="java.lang.String"/>
	<field name="numeroControle" class="java.lang.String">
		<fieldDescription><![CDATA[numeroControle:Número do Controle]]></fieldDescription>
	</field>
	<field name="Vendedor" class="java.lang.String"/>
	<field name="nota" class="java.lang.Double">
		<fieldDescription><![CDATA[nota:Nota]]></fieldDescription>
	</field>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="codigoVendedorCache" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigoVendedorCache:Código do Vendedor Cache]]></fieldDescription>
	</field>
	<field name="idUsuario" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Codigo]]></fieldDescription>
	</field>
	<field name="empresaDescricao" class="java.lang.String"/>
	<field name="quantidadeVendas" class="java.lang.Long"/>
	<field name="quantidadeAvaliacoes" class="java.math.BigDecimal"/>
	<variable name="media" class="java.lang.Double" resetType="Group" resetGroup="usuario">
		<variableExpression><![CDATA[$F{nota}/$F{quantidadeAvaliacoes}.doubleValue()]]></variableExpression>
	</variable>
	<group name="usuario">
		<groupExpression><![CDATA[$F{idUsuario}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<rectangle>
					<reportElement uuid="5a939b2e-04d5-47cb-a1e9-104aa6572997" x="-1" y="0" width="555" height="20"/>
				</rectangle>
				<textField>
					<reportElement uuid="5d5c82a4-ff27-459c-a2d6-25b2d50f815a" x="0" y="0" width="554" height="20"/>
					<textElement/>
					<textFieldExpression><![CDATA[$F{Caixa/Crediarista}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="27">
				<rectangle>
					<reportElement uuid="ae86d121-3de2-48f9-82f0-c68fa084f606" positionType="Float" x="-1" y="0" width="555" height="13"/>
				</rectangle>
				<textField>
					<reportElement uuid="0a875b11-8b3f-48e5-be2f-e20be9f09c5e" x="77" y="0" width="24" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$F{quantidadeVendas}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="c4f0c200-5c67-4307-8bb8-3873a09d2ea9" x="-1" y="0" width="78" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Qnt. de Vendas:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="330dd029-4e88-4e9e-9b4c-24521b7a8c6f" x="362" y="0" width="49" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Media:]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="b1b1d5fc-d9d4-47ae-86be-a4e919a44eb0" x="104" y="0" width="100" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Qnt. de Avaliações:]]></text>
				</staticText>
				<textField>
					<reportElement uuid="dde26be1-c9c1-491d-88dc-876430bd3621" x="206" y="0" width="39" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$F{quantidadeAvaliacoes}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00">
					<reportElement uuid="5f759c61-e52d-4cdf-b4d4-d2e9a6730832" x="411" y="0" width="39" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$V{media}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="56" splitType="Stretch">
			<subreport>
				<reportElement uuid="d27ac181-9302-4793-ba1d-72f79fbe699e" x="0" y="0" width="555" height="56"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="logo">
					<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinal">
					<subreportParameterExpression><![CDATA[$P{dataFinal}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicialsql">
					<subreportParameterExpression><![CDATA[$P{dataInicialsql}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresaDescricao">
					<subreportParameterExpression><![CDATA[$P{empresaDescricao}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="HABILITAR_DATA">
					<subreportParameterExpression><![CDATA[$P{HABILITAR_DATA}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="tituloRelatorio">
					<subreportParameterExpression><![CDATA[$P{tituloRelatorio}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicial">
					<subreportParameterExpression><![CDATA[$P{dataInicial}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinalsql">
					<subreportParameterExpression><![CDATA[$P{dataFinalsql}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "dsvCabecalhoRetrato.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</title>
	<columnHeader>
		<band height="20" splitType="Stretch">
			<textField pattern="###0">
				<reportElement uuid="3b77b1f8-55b1-4452-b7ae-8b45a60b1811" x="82" y="0" width="35" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$P{quantidadeTotalVendas}]]></textFieldExpression>
			</textField>
			<textField pattern="###0">
				<reportElement uuid="ab71ec54-e021-4c94-a06e-e970a952a1ec" x="227" y="0" width="25" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$P{quantidadeTotalAvaliacoes}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="44618eca-bc53-4e34-984a-fac5ceec57f5" x="0" y="0" width="82" height="20"/>
				<textElement/>
				<text><![CDATA[Total de Vendas:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="ab3e0f67-7121-4952-a010-c30aedfb489a" x="127" y="0" width="100" height="20"/>
				<textElement/>
				<text><![CDATA[Totais de Avaliação:]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<subreport>
				<reportElement uuid="4469eeca-6566-4efb-af38-2e6cddc31cd5" positionType="Float" x="-1" y="0" width="555" height="30"/>
				<subreportParameter name="dataInicialsql">
					<subreportParameterExpression><![CDATA[$P{dataInicialsql}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idUsuario">
					<subreportParameterExpression><![CDATA[$F{idUsuario}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinalsql">
					<subreportParameterExpression><![CDATA[$P{dataFinalsql}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "relatorioAvaliacaoAtendimentoPorUsuarioSubUsuario.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField evaluationTime="Report">
				<reportElement uuid="1f856bf3-1acf-432e-866c-060cdaf8f93a" x="518" y="0" width="40" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="6d62e846-6987-4bf5-a6aa-5f36837441d5" x="438" y="0" width="80" height="20"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
